# ================================================================================
# SAML Services
# ================================================================================

services:

    kimai.saml_listener:
        class: App\Saml\Firewall\SamlListener
        parent: security.authentication.listener.abstract
        abstract: true
        calls:
            - [setAuth, ['@App\Saml\SamlAuthFactory']]

    App\Saml\Provider\SamlProvider:
        arguments: ['@App\Repository\UserRepository', '', '@App\Saml\SamlTokenFactory', '@App\Saml\User\SamlUserFactory', '@App\Configuration\SystemConfiguration']

    App\Saml\Security\SamlAuthenticationSuccessHandler:
        parent: security.authentication.success_handler
